## org.eclipse.jst.jsf.context.symbol.provider
Interface IContentProposalProvider

    public interface IContentProposalProvider

Adapts an object to appropriate content proposal

Provisional API - subject to change

Nested Class Summary
`static interface` `IContentProposalProvider.IProposalCreationFactory` Implementors of the class can configure certain aspects of the returned proposals

Method Summary
`ICompletionProposal[]` `getProposals(java.lang.Object target, IContentProposalProvider.IProposalCreationFactory proposalFactory)`

Method Detail

### getProposals

    ICompletionProposal[] getProposals(java.lang.Object target,
                                       IContentProposalProvider.IProposalCreationFactory proposalFactory)

  Parameters:
    `target` -
    `proposalFactory` -
  Returns:
    an content proposal for target or null if nothing appropriate can be created